= cowboy_req:host(3)

== Name

cowboy_req:host - URI host name

== Description

[source,erlang]
----
host(Req :: cowboy_req:req()) -> Host :: binary()
----

Return the host name of the effective request URI.

The host name can also be obtained using pattern matching:

[source,erlang]
----
#{host := Host} = Req.
----

== Arguments

Req::

The Req object.

== Return value

The host name is returned as a lowercase binary string.
It is case insensitive.

== Changelog

* *2.0*: Only the host name is returned, it is no longer wrapped in a tuple.
* *1.0*: Function introduced.

== Examples

.Get the effective request URI's host name
[source,erlang]
----
Host = cowboy_req:host(Req).
----

== See also

link:man:cowboy_req(3)[cowboy_req(3)],
link:man:cowboy_req:binding(3)[cowboy_req:binding(3)],
link:man:cowboy_req:bindings(3)[cowboy_req:bindings(3)],
link:man:cowboy_req:host_info(3)[cowboy_req:host_info(3)]
